/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
-- DROP TABLE `change-list`;
CREATE TABLE IF NOT EXISTS `change-list` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `groupId` int(11) DEFAULT NULL,
    `icon` VARCHAR(50) DEFAULT NULL,
    `type` VARCHAR(50) DEFAULT NULL,
    `isShow` BOOLEAN DEFAULT NULL,
    `description` VARCHAR(300) DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4;

-- DROP TABLE `change-group-list`;
CREATE TABLE IF NOT EXISTS `change-group-list` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(300) DEFAULT NULL,
    `isShow` BOOLEAN DEFAULT NULL,
    `serverId` int(11) DEFAULT NULL,
    `createDate` DATETIME DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4;

-- DROP TABLE `type-list`;
CREATE TABLE IF NOT EXISTS `type-list` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `label` varchar(20) DEFAULT NULL,
    `icon` varchar(20) DEFAULT NULL,
    `type` varchar(20) DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4;

DELETE FROM `type-list` WHERE `id` > 0;

INSERT INTO `type-list` (`label`, `icon`, `type`) values('Feature', 'fa fa-plus','feature');
INSERT INTO `type-list` (`label`, `icon`, `type`) values('Improved', 'fa fa-angle-up','improved');
INSERT INTO `type-list` (`label`, `icon`, `type`) values('Fixed', 'fa fa-wrech','fixed');
INSERT INTO `type-list` (`label`, `icon`, `type`) values('Removed', 'fa fa-minus','removed');

INSERT INTO `change-group-list` (`name`, `createDate`, `isShow`, `serverId`)
     values('Example Group firstItemTest',curdate(), 1, 
     (SELECT MIN(`id`) FROM `servers`)
);


INSERT INTO `change-list` (`icon`, `type`, `isShow`, `description`, `groupId`) 
    values('fa fa-plus','feature', 1, 'New feature added to server etc.... ',
    (SELECT MAX(`id`) FROM `change-group-list`)
);
INSERT INTO `change-list` (`icon`, `type`, `isShow`, `description`, `groupId`) 
    values('fa fa-wrench','fixed', 1, 'Fixed any error etc.... ',
    (SELECT MAX(`id`) FROM `change-group-list`)
);
INSERT INTO `change-list` (`icon`, `type`, `isShow`, `description`, `groupId`) 
    values('fa fa-minus','removed', 1, 'the feature removed to server etc.... ',
    (SELECT MAX(`id`) FROM `change-group-list`)
);
INSERT INTO `change-list` (`icon`, `type`, `isShow`, `description`, `groupId`) 
    values('fa fa-angle-up','improved', 1, 'The feature improved to server etc.... ',
    (SELECT MAX(`id`) FROM `change-group-list`)
);



/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;