<?php
namespace ChangeList\Controllers;

use App\Models\Server;
use App\Controllers\Controller;
use ChangeList\Models\ChangeListItem;
use ChangeList\Models\TypeListItem;
use ChangeList\Models\ChangeListGroupItem;

use Slim\Views\Twig as View;


class ChangeListPageController extends Controller
{

    public $responseArray = array();
    public $tempGroupItem;


    public $typeListResponseArray = array();
    public $serverLookupResponseArray = array();

    public function renderPage($request, $response, $args) {
        return $this->view->render($response, 'changelistspa.twig');
    }
    public function isAuth($request, $response, $args) {
        if ($this->auth->isAdmin()) {
            return $response->withJSON(['status' => 'success', 'isAuth' => true]);
        } else {
            return $response->withJSON(['status' => 'success', 'isAuth' => false]);
        }
    }

    public function getChangeListAll($req, $res, $args) {
        
        
        $params = $req->getParams();
        $totalCount = ChangeListGroupItem::where('isShow', 1)->count();
        $dataCountPerPage = 10;
        $skipedCount = 0;
        if ($params['pageNumber'] != 1) {
            $skipedCount = $dataCountPerPage * ($params['pageNumber']-1);
        }
        
        if (empty($params['server'])) {
            $groupItems = ChangeListGroupItem::where('isShow', 1)->orderBy('id','desc')->skip($skipedCount)->take($dataCountPerPage)->get();
        } else {
            $totalCount = ChangeListGroupItem::where('isShow', 1)->where('serverId', $params['server'])->count();
            $groupItems = ChangeListGroupItem::where('isShow', 1)->where('serverId', $params['server'])->orderBy('id','desc')->skip($skipedCount)->take($dataCountPerPage)->get();
        }
        $responseArray = array();

        
        $groupItems->each(function($item) {

            $this->tempGroupItem = (object)[];
            $this->tempGroupItem->id = $item->id;
            $this->tempGroupItem->name = $item->name;
            $this->tempGroupItem->createDate = $item->createDate;
            $this->tempGroupItem->childs = array();
            
            $listItems = ChangeListItem::where('groupId', $item->id)->where('isShow', 1)->orderBy('type')->get();
            
            $listItems->each(function($listItem) {
                $tempChild = (object) ['id' => $listItem->id, 'description' => $listItem->description, 'icon' => $listItem->icon, 'type' => $listItem->type, 'groupId' => $this->tempGroupItem->id];
                array_push($this->tempGroupItem->childs, $tempChild);
            });
            
            array_push($this->responseArray, $this->tempGroupItem);
        });

        return $res->withJSON(['status' => 'success', 'changeList' => $this->responseArray, 'totalCount' => $totalCount, 'pageSize' => $dataCountPerPage, 'pageNumber'=> intval($params['pageNumber'])]);
    }
    
    public function getTypeList($req, $res, $args) {
        $listItems = TypeListItem::all();
        
        $listItems->each(function($listItem) {
            $tempObject = (object) ['label' => $listItem->label, 'icon' => $listItem->icon, 'type' => $listItem->type];
            array_push($this->typeListResponseArray, $tempObject);
        });
        return $res->withJSON(['status' => 'success', 'typeList' => $this->typeListResponseArray]);
    }

    public function getServerLookup($req, $res, $args) {
        $data = Server::where('id','>=', 1)->orderBy('order','asc')->get();

        // if ($req->getParam('query')) {
        //     $data = Server::queryServers($data);
        // }
        $data->each(function($listItem) {
            $tempObject = (object) ['id'=> $listItem->id, 'label' => $listItem->name, 'address' => $listItem->address, 'image' => $listItem->image];
            array_push($this->serverLookupResponseArray, $tempObject);
        });

        return $res->withJSON(['status'=> 'success', 'serverList' => $this->serverLookupResponseArray]);
    }

}

