import Vue from 'vue'
import VueRouter from 'vue-router';
import VueMoment from 'vue-moment';
import 'vue-select/dist/vue-select.css';
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'
import moment from 'moment';
import { BootstrapVue, IconsPlugin } from 'bootstrap-vue'

// Install BootstrapVue
Vue.use(BootstrapVue)
// Optionally install the BootstrapVue icon components plugin
Vue.use(IconsPlugin)
moment.locale('tr');

Vue.use(VueRouter)
if (!Vue.moment) {
  Vue.use(VueMoment);
}

const files = require.context('./', true, /\.vue$/i)
files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default))

import Index from './components/Index'

const routes = [
  { path: '/change-list', component: Index, meta: { title: 'changelist' } },
]

const router = new VueRouter({
  routes,
  mode: 'history'
})

document.addEventListener('lang-loaded', e => document.title = Vue.options.filters.lang(changelist.$router.currentRoute.meta.title) + titleSuffix)
router.beforeEach((to, from, next) => {
  document.title = Vue.options.filters.lang(to.meta.title) + titleSuffix
  next()
})

import VueMarkdown from 'vue-markdown'
Vue.component('vue-markdown', VueMarkdown)

const changelist = new Vue({
  el: '#changelistspa', // div id verdigimiz yer muhtemelen
  router
})
